## kdoctools 5.18.0

=== src/CMakeLists.txt ===
include_directories( ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} )

include(uriencode)
kdoctools_encode_uri(DocBookXML4_DTD_DIR)
set (_custom_dtd_kdex "customization/dtd/kdedbx45.dtd")
configure_file(${_custom_dtd_kdex}.cmake ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex} )
# WARNING: this is due to severe limitations on the windows platform to keep the dtd relocateable
# see the .xsl.cmake files for a more verbose explanation below
if(NOT WIN32)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}
        DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization/dtd )
else()
    get_filename_component(NORMALIZED_DTD_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization/dtd" ABSOLUTE)
    # file(RELATIVE_PATH ...) returns wrong values for paths containing /../ (it doesn't normalize the path)
    # To work around this we make sure the variable passed has all /../ elements
    # removed using get_filename_component(... ABSOLUTE)
    install(CODE
        "file(RELATIVE_PATH DocBookXML4_DTD_DIR \"${NORMALIZED_DTD_INSTALL_PATH}\" \"${DocBookXML4_DTD_DIR}\")
        include(${CMAKE_SOURCE_DIR}/cmake/uriencode.cmake)
        set(CMAKE_MODULE_PATH \"${CMAKE_MODULE_PATH}\")
        kdoctools_encode_uri(DocBookXML4_DTD_DIR)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_custom_dtd_kdex}.cmake ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install)"
    )
    get_filename_component(_custom_dtd_kdex_name ${_custom_dtd_kdex} NAME)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization/dtd RENAME ${_custom_dtd_kdex_name})
endif()

# needed by KIO, need to export it
add_library(KF5XsltKde STATIC xslt.cpp xslt_kde.cpp)
add_library(KF5::XsltKde ALIAS KF5XsltKde)
target_link_libraries(KF5XsltKde
    PUBLIC
        Qt5::Core
    PRIVATE
        KF5::Archive
)
set_target_properties(KF5XsltKde PROPERTIES
    POSITION_INDEPENDENT_CODE TRUE
    EXPORT_NAME XsltKde
)

target_include_directories(KF5XsltKde INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/XsltKde>")

install(FILES
    xslt.h
    xslt_kde.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/XsltKde
    COMPONENT Devel
)

install(TARGETS KF5XsltKde EXPORT KF5DocToolsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# The cross compiling parts are commented out on purpose. Alex
if (CMAKE_CROSSCOMPILING)
#    set(IMPORT_MEINPROC5_EXECUTABLE "${KDE_HOST_TOOLS_PATH}/ImportMeinProc5Executable.cmake" CACHE FILEPATH "Point it to the export file of meinproc5 from a native build")
#    include(${IMPORT_MEINPROC5_EXECUTABLE})
else ()
    set_source_files_properties(xslt.cpp PROPERTIES COMPILE_FLAGS -DSIMPLE_XSLT )

    option(MEINPROC_NO_KARCHIVE "Compile meinproc without KArchive dependency" OFF)
    if(MEINPROC_NO_KARCHIVE)
        add_definitions(-DMEINPROC_NO_KARCHIVE) #we don't have saveToCache when compiling without KArchive, which is used in xslt_kde.cpp
    else ()
        set(meinproc_additional_SRCS xslt_kde.cpp)
        set(meinproc_additional_LIBS KF5::Archive)
    endif()

    add_executable(meinproc5 meinproc.cpp meinproc_common.cpp xslt.cpp ${meinproc_additional_SRCS})
    ecm_mark_nongui_executable(meinproc5)
    target_link_libraries(meinproc5 Qt5::Core ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${LIBXSLT_EXSLT_LIBRARIES} ${meinproc_additional_LIBS})

    install(TARGETS meinproc5 EXPORT KF5DocToolsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
    add_executable(KF5::meinproc5 ALIAS meinproc5)

#    # export this binary for cross-compilation
#    export(TARGETS meinproc5 FILE ${CMAKE_BINARY_DIR}/ImportMeinProc4Executable.cmake)
endif ()

########### customize includes for xslt ###############
# WARNING: this has severe limitations on the windows platform since the .xsl
# & docbook files need to be relocatable. We cannot just replace the paths in
# the .xsl with relative paths because these files are not installed while
# building kdoctools. Instead, we will reconfigure those files at install time
# with relative paths.

file( GLOB _kdeincludexslt_ALL "customization/kde-include*.xsl.cmake" )
foreach( _kdeincludexslt ${_kdeincludexslt_ALL} )
    get_filename_component( _kdeincludexslt_name ${_kdeincludexslt} NAME )
    string( REGEX REPLACE ".cmake$" "" _kdeincludexslt_out "${_kdeincludexslt_name}" )
    set( _kdeincludexslt_binarypath "${CMAKE_CURRENT_BINARY_DIR}/customization/${_kdeincludexslt_out}" )
    configure_file( ${_kdeincludexslt} ${_kdeincludexslt_binarypath} )
    if(NOT WIN32)
        install(FILES ${_kdeincludexslt_binarypath}
            DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization )
    else()
        install(CODE
            "FILE(RELATIVE_PATH DOCBOOKXSL_DIR \${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization ${DOCBOOKXSL_DIR})
            CONFIGURE_FILE( ${_kdeincludexslt} ${_kdeincludexslt_binarypath}.install )")
            install(FILES ${_kdeincludexslt_binarypath}.install DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization RENAME ${_kdeincludexslt_out})
    endif()
endforeach( _kdeincludexslt ${_kdeincludexslt_ALL} )


########### install files ###############

macro(INSTALL_CUSTOMIZE_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        install(FILES ${_curentfile} DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_DIR _expr _directory)

macro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        # copy the file also under CMAKE_CURRENT_BINARY_DIR - those
        # files are needed to generate the documentation without installing
        # kdoctools (i.e. when kdoctools itself compiled).
        get_filename_component(_currentfile_name ${_curentfile} NAME)
        set(_currentfile_binary_path ${CMAKE_CURRENT_BINARY_DIR}/${_directory}/${_currentfile_name})
        configure_file(${_curentfile} ${_currentfile_binary_path} COPYONLY)

        install(FILES ${_currentfile_binary_path}
            DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)



set(expr "customization/*.xsl")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/README")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/catalog.xml")
install_customize_l_dir( ${expr} customization/)

set(${KDOCTOOLS_LANGUAGES_LIST} af bg ca cs da de el en-GB en eo es et fi fo fr gl he hu id it ja ko lt nds nl nn no pl pt-BR pt ro ru sk sl sr sr@latin sr@ijekavian sr@ijekavianlatin sv th tr uk wa xh xx zh-CN zh-TW)
set(customizedir ${KDOCTOOLS_LANGUAGES_LIST} dtd entities xsl)

foreach (_currentcustomizedir ${customizedir})
    set(expr "customization/${_currentcustomizedir}/README")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.xsl")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/entities/*.docbook")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/entities/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/*.xml")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir} )
    set(expr "customization/${_currentcustomizedir}/*.dtd")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
    set(expr "customization/${_currentcustomizedir}/*.elements")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
endforeach(_currentcustomizedir ${customizedir})

########### l10n xml helper ###############

set( docbookl10nhelper_SRCS docbookl10nhelper.cpp )
add_executable( docbookl10nhelper ${docbookl10nhelper_SRCS} )
ecm_mark_nongui_executable( docbookl10nhelper )
target_link_libraries( docbookl10nhelper Qt5::Core )

add_custom_command( TARGET docbookl10nhelper POST_BUILD
    COMMAND $<TARGET_FILE:docbookl10nhelper>
    "${DOCBOOKXSL_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/customization/xsl"
    "${CMAKE_CURRENT_BINARY_DIR}/customization/xsl"
)

# all-l10n.xml is generated by docbookl10nhelper
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/customization/xsl/all-l10n.xml
    DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kdoctools/customization/xsl/ )

## kdoctools 5.3.0

=== debian/changelog ===
kdoctools (5.3.0-0ubuntu2) utopic; urgency=medium

  * New upstream build-dep on ki18n, not kdesu

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 07 Oct 2014 17:07:57 +0200

kdoctools (5.3.0-0ubuntu1) utopic; urgency=medium

  * Remove obsolete patch missing-all-l10n.xml.diff fixed upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:21:28 +0100

kdoctools (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:39:27 +0200

kdoctools (5.1.0-0ubuntu1) utopic; urgency=medium

  * Cleanup copyright file.
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:10:45 +0200

kdoctools (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 14 Jul 2014 17:37:31 +0200

=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 1.2.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdoctools.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git

Package: kdoctools-dev
Section: libdevel
Architecture: any
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.3.0),
         qtbase5-dev,
         ${misc:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.
 .
 Contains development files for kdoctools.

Package: kdoctools5
Section: doc
Architecture: any
Depends: docbook-xml,
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.

Package: kdoctools5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: allowed
Depends: kdoctools5 (= ${binary:Version}), ${misc:Depends}
Description: Documentation generation from docbook
 Tools to read documentation in Docbook.
 .
 Contains debug symbols for kdoctools.

## kdoctools 5.9.0

=== debian/changelog ===
kdoctools (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:26:05 +0200

kdoctools (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:35:43 +0100

kdoctools (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:49:20 +0100

kdoctools (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:10:27 +0100

kdoctools (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:10:45 +0100

kdoctools (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Rohan Garg ]
  * New upstream build-dep on ki18n, NOT kdesu

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:12:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
                debhelper (>= 9.0.0),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 1.2.0),
-               libkf5archive-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdoctools
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdoctools.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdoctools.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git
 
 Package: kdoctools-dev
 Section: libdevel
 Architecture: any
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.3.0),
+         libkf5archive-dev (>= 5.9.0),
          qtbase5-dev,
          ${misc:Depends}
 Description: Documentation generation from docbook

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kdoctools-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kdoctools-(.*)\.tar\.xz

## kdoctools 5.15.0

=== debian/changelog ===
kdoctools (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:47:51 +0100

kdoctools (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:15:26 +0100

kdoctools (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:05:11 +0200

kdoctools (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge, remove unused broken backport.
  * Vivid bacckport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:29:17 +0200

kdoctools (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Jun 2015 11:43:24 +0200

kdoctools (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:44:02 +0200

kdoctools (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:55 +0200

kdoctools (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Mar 2015 14:13:19 +0100

kdoctools (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Mar 2015 22:52:17 +0100

kdoctools (5.6.0-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Remove obsolete patch missing-all-l10n.xml.diff fixed upstream

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update watch file.
  * Update build dependencies to follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Jan 2015 14:10:34 +0100

=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               docbook-xml (>= 4.5),
               docbook-xsl,
               extra-cmake-modules (>= 5.15.0~),
               libkf5archive-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdoctools.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdoctools.git

Package: kdoctools-dev
Section: libdevel
Architecture: any
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Development files for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for kdoctools5.

Package: kdoctools5
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.

Package: kdoctools5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: allowed
Depends: kdoctools5 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the debug symbols for kdoctools5.

## kdoctools 5.18.0

=== debian/changelog ===
kdoctools (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:20:40 +0100

kdoctools (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:08 +0100

kdoctools (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:26 +0200

kdoctools (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 21:53:31 -0700

kdoctools (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:12 +0200

kdoctools (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 14:40:57 +0200

kdoctools (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                debhelper (>= 9),
                docbook-xml (>= 4.5),
                docbook-xsl,
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -26,6 +26,7 @@
 Architecture: any
 Depends: kdoctools5 (= ${binary:Version}),
          libkf5archive-dev (>= 5.15.0~),
+         libkf5archive-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Development files for kdoctools5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdoctools5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kdoctools-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kdoctools-([\d.]+)\.tar\.xz

## kdoctools 5.26.0

=== debian/changelog ===
kdoctools (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:44:10 +0100

kdoctools (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:40:17 +0000

kdoctools (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:11:29 +0200

kdoctools (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 
  * Fix control file merge.

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:19:50 -0700

kdoctools (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:16 +0100

kdoctools (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:00 +0100

=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               docbook-xml (>= 4.5),
               docbook-xsl,
               extra-cmake-modules (>= 5.26.0~),
               libkf5archive-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools

Package: kdoctools-dev
Section: libdevel
Architecture: any
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Development files for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for kdoctools5.

Package: kdoctools5
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.

## kdoctools 5.28.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDocTools)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.28.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMPackageConfigHelpers)

set(KF5_VERSION "5.28.0") # handled by release scripts
set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDOCTOOLS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdoctools_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DocToolsConfigVersion.cmake"
                        SOVERSION 5)

option(MEINPROC_NO_KARCHIVE "Compile meinproc without KArchive dependency. Only for internal usage on KDE infrastructure." OFF)
option(INSTALL_INTERNAL_TOOLS "Install internal tools too." OFF)

# Dependencies
set(REQUIRED_QT_VERSION 5.5.0)
find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

# KF5 frameworks
if (NOT MEINPROC_NO_KARCHIVE)
   find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
else()
   message(WARNING "KArchive dependency has been disabled. This should be done only for internal usage on KDE infrastructure.")
endif()

find_package(KF5I18n ${KF5_DEP_VERSION})
set_package_properties(KF5I18n PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build the KDocTools translations")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )


find_package(DocBookXML4 "4.5")

set_package_properties(DocBookXML4 PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(DocBookXSL)
set_package_properties(DocBookXSL PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set(_kdoctoolsBootStrapping TRUE)
set(KDOCTOOLS_CUSTOMIZATION_DIR "${CMAKE_CURRENT_BINARY_DIR}/src/customization/")
if (WIN32)
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${EXECUTABLE_OUTPUT_PATH}/${CMAKE_CFG_INTDIR}/meinproc5 )
else ()
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${CMAKE_CURRENT_BINARY_DIR}/src/meinproc5${CMAKE_EXECUTABLE_SUFFIX} )
endif ()
include(KF5DocToolsMacros.cmake)

set(KDOCTOOLS_LANGUAGES_LIST af bg ca cs da de el en-GB en eo es et fi fo fr gl he hu id it ja ko lt nds nl nn no pl pt-BR pt ro ru sk sl sr sr@latin sr@ijekavian sr@ijekavianlatin sv th tr uk wa xh xx zh-CN zh-TW)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DocTools")
add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po" AND KF5I18n_FOUND)
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(common)
add_subdirectory(docs)
add_subdirectory(src)
add_subdirectory(autotests)

install(EXPORT KF5DocToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5DocToolsTargets.cmake NAMESPACE KF5:: )
ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5DocToolsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DocToolsConfig.cmake"
  PATH_VARS
    KDE_INSTALL_DATADIR_KF5
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DocToolsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DocToolsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

configure_file(config-kdoctools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdoctools.h )

install( FILES
    KF5DocToolsMacros.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdoctools (5.28.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Switch kdoctools-dev to Architecture: any. (Closes: 842545)
  * Update the not-installed file
  * Bump group breaks (5.28)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:44 +0100

kdoctools (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:59:47 +0200

kdoctools (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:59:01 +0200

kdoctools (5.25.0-1) unstable; urgency=medium

  [ Harald Sitter ]
  * Rename -dev package to align with the cmake package name for
    greater discoverability and consistency across frameworks.
    Add a transitional package to help with the name transition.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 09:09:44 +0200

kdoctools (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 18:49:10 +0200

kdoctools (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:14:32 +0200

kdoctools (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 15:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,40 @@
                debhelper (>= 9),
                docbook-xml (>= 4.5),
                docbook-xsl,
-               extra-cmake-modules (>= 5.26.0~),
-               libkf5archive-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
+               libkf5archive-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdoctools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdoctools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdoctools.git
 
 Package: kdoctools-dev
+Depends: libkf5doctools-dev, ${misc:Depends}
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
+
+Package: libkf5doctools-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.26.0~),
-         qtbase5-dev (>= 5.4),
+         libkf5archive-dev (>= 5.28.0~),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
+Breaks: kdoctools-dev (<< 5.23.0-2~)
+Replaces: kdoctools-dev (<< 5.23.0-2~)
 Description: Development files for kdoctools5
  KDocTools is a set of tools to generate documentation in various formats from
  DocBook files.

## kdoctools 5.31.0

=== debian/changelog ===
kdoctools (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:06 +0000

kdoctools (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:50 +0000

kdoctools (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, this imports the -dev package renaming
    kdoctools-dev -> libkf5doctools-dev
    so libkf5doctools-dev Breaks/Replaces previous versions of kdoctools-dev
  * New upstream release (5.28.0)
  * Use wildcards in not-installed file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:53 +0000

=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               docbook-xml (>= 4.5),
               docbook-xsl,
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools

Package: kdoctools-dev
Architecture: any
Multi-Arch: same
Section: oldlibs
Priority: extra
Depends: libkf5doctools-dev (>= 5.31.0~), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5doctools-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Breaks: kdoctools-dev (<< 5.27.0-1ubuntu1~)
Replaces: kdoctools-dev (<< 5.27.0-1ubuntu1~)
Description: Development files for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for kdoctools5.

Package: kdoctools5
Architecture: any
Multi-Arch: foreign
Section: doc
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.

## kdoctools 5.38.0

=== debian/changelog ===
kdoctools (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:10 +0100

kdoctools (5.37.0-0ubuntu1) artful; urgency=medium

  * Update install files for renamed meinproc5 manpages. Moved section
    from (8) to (1).
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:10 +0100

kdoctools (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:01 +0100

kdoctools (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:07 +0100

kdoctools (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:02 +0100

kdoctools (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                debhelper (>= 9),
                docbook-xml (>= 4.5),
                docbook-xsl,
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -26,7 +26,7 @@
 Multi-Arch: same
 Section: oldlibs
 Priority: extra
-Depends: libkf5doctools-dev (>= 5.31.0~), ${misc:Depends}
+Depends: libkf5doctools-dev (>= 5.38.0~), ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -35,7 +35,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.31.0~),
+         libkf5archive-dev (>= 5.38.0~),
+         libkf5doctools5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Breaks: kdoctools-dev (<< 5.27.0-1ubuntu1~)
@@ -62,3 +63,14 @@
  DocBook files.
  .
  This package is part of KDE Frameworks 5.
+
+Package: libkf5doctools5
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Tools to generate documentation in various formats from DocBook
+ KDocTools is a set of tools to generate documentation in various formats from
+ DocBook files.
+ .
+ This package is part of KDE Frameworks 5.
